// Dominique Jacquel - Mech. Eng. - University of Edinburgh

#import <simtoolsgui/GUISwarm.h>

// graphical interface swarm for MADS model.
@interface MadsObserverSwarm: GUISwarm
{
  int displayFrequency;
  id displayActions;
  id displaySchedule;
  id nameGenerator;
}

+ createBegin: aZone;
- createEnd;
- buildObjects;
- buildActions;
- activateIn: swarmContext;

- (id)createAgent;
- (BOOL)testDragnDrop:(id)A :(id)B;

@end








